package com.jxy.marketall.enums;

/**
 * @Description 币价查询范围条件
 * @Date 2022/5/20 11:15
 * @Author 杜懿
 */
public enum TicketStatusType {
//ps:4是后台人员已回复用户但用户还未读  13是用户已读
    STATUS_ONE(1,"已提交"),
    STATUS_TWO(2,"撤回"),
    STATUS_THREE(3,"待处理"),
    STATUS_FOUR(4,"已处理"),
    STATUS_FIVE(5,"已回复(停用)"),
    STATUS_SIX(6,"重新提交"),
    STATUS_SEVEN(7,"超时未确认"),
    STATUS_EIGHT(8,"待审核"),
    STATUS_NINE(9,"审核中"),
    STATUS_TEN(10,"审核重新提交"),
    STATUS_Eleven(11,"审核完成"),
    STATUS_Twelve(12,"已关闭"),
    STATUS_Thirteen(13,"已处理");

    private final int code;
    private final String status;

    TicketStatusType(int code, String status)
    {
        this.code = code;
        this.status = status;
    }

    public int getCode()
    {
        return code;
    }

    public String getStatus()
    {
        return status;
    }

    public static String getStatusByCode(int code){
        for (TicketStatusType t : TicketStatusType.values()) {
            if(t.getCode()==code){
                return t.getStatus();
            }
        }
        return "";
    }


}
